Bug 1827030 - gnome-settings-daemon: subscription notification on CentOS Stream
Summary: gnome-settings-daemon: subscription notification on CentOS Stream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-settings-daemon
Version: CentOS Stream
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.3
Assignee: Carlos Garnacho
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-23 05:27 UTC by Carl George 🤠
Modified: 2020-11-04 01:36 UTC (History)
7 users (show)

Fixed In Version: 3.32.0-10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:35:29 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
patch to disable subman plugin on CentOS (2.14 KB, patch)
2020-07-09 21:00 UTC, Carl George 🤠
carl: review? (rhughes)
Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:35:50 UTC

Description Carl George 🤠 2020-04-23 05:27:37 UTC
Description of problem:
CentOS Stream users are presented with a notification [0] that they should never see.

    System Not Registered
    Please register your system to receive software updates.

This issue is not present on CentOS Linux, so I start investigating to see which exact package update introduced the behavior.  I determined that it only happens once gnome-settings-daemon is update to 3.32.0-9.el8.  Reviewing the changelog, I discovered this.

    * Mon Nov 18 2019 Kalev Lember <klember@redhat.com> - 3.32.0-7
    - Add a new plugin to provide system subscription information
    - Resolves: #1720249

Reviewing the spec file, I think we can correct this by removing patches 10002, 10003, and 10004 [1].  We'll also want to make sure to add gnome-settings-daemon to our list of packages that need debranding.


Version-Release number of selected component (if applicable):
gnome-settings-daemon-3.32.0-9.el8


How reproducible:
always


Steps to Reproduce:
1. install centos-release-stream
2. update gnome-settings-daemon
3. log out and log back in


Actual results:
registration notification


Expected results:
no registration notification


Additional info:
[0]: https://i.imgur.com/AH1YD6t.png
[1]: https://git.centos.org/rpms/gnome-settings-daemon/blob/c8s/f/SPECS/gnome-settings-daemon.spec#_88

Comment 2 Carl George 🤠 2020-07-09 21:00:08 UTC
Created attachment 1700488 [details]
patch to disable subman plugin on CentOS

In CentOS Stream we decided to resolve this by adding a conditional to not apply the subman patches when building for CentOS.

https://git.centos.org/rpms/gnome-settings-daemon/c/f069201bce11003ff49085debb641a0ebd759f12?branch=c8s

Per email conversation with the Richard, I've attached a patch to make the same change to the RHEL package.

Comment 7 Martin Krajnak 2020-08-18 12:51:25 UTC
Hey all, 

I tried to verify the fix, I've done:

1.Fresh install of the latest stable version:
$ cat /etc/redhat-release 
CentOS Linux release 8.2.2004 (Core) 

2.Updated the package which us supposed to fix the problem:
gnome-settings-daemon-3.32.0-10.el8.x86_64

3.Rebooted, logged out multiple times

Result:
Notification still shows up

Maybe is there some thing I missed ? If no I am afraid the fix is not working.

Comment 8 Carl George 🤠 2020-08-18 14:59:44 UTC
I only built gnome-settings-daemon-3.32.0-10.el8 for CentOS yesterday, and it hasn't been published yet.  If you are injecting the RHEL package into a CentOS Stream installation, I expect that you'll still see the notification, as the conditional is build time, not run time.  I installed the CentOS build of gnome-settings-daemon-3.32.0-10.el8 in a CentOS Stream virtual machine, and I don't see the notification.  This is working as expected.

Comment 9 Tomas Pelka 2020-08-19 06:54:40 UTC
Thanks Carl, verifying OtherQA.

Comment 12 errata-xmlrpc 2020-11-04 01:35:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.